scala.tools.nsc

# SubComponent

#### abstract class SubComponent extends AnyRef

An nsc sub-component.

Source
  SubComponent.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
AddInterfaces, BCodeBodyBuilder, BCodeHelpers, BCodeIdiomatic, BCodeSkelBuilder, BCodeSyncAndTry, CleanUp, ClosureElimination, ConstantOptimization, Constructors, DeadCodeElimination, Delambdafy, Erasure, ExplicitOuter, ExtensionMethods, Flatten, GenASM, GenBCode, GenICode, InfoTransform, InlineExceptionHandlers, Inliners, LambdaLift, LazyVals, Mixin, PatternMatching, Pickler, PluginComponent, PostErasure, RefChecks, SampleTransform, SpecializeTypes, Statics, SuperAccessors, SyntaxAnalyzer, TailCalls, Transform, UnCurry, cleanup, closureElimination, constantOptimization, constructors, deadCode, delambdafy, erasure, explicitOuter, extensionMethods, flatten, genASM, genBCode, genicode, inlineExceptionHandlers, inliner, lambdaLift, lazyVals, mixer, namerFactory, packageObjects, patmat, pickler, postErasure, refChecks, specializeTypes, superAccessors, tailCalls, terminal, typerFactory, uncurry
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SubComponent
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SubComponent()

### Type Members

1. #### abstract class StdPhase extends GlobalPhase

   A standard phase template

### Abstract Value Members

1. #### abstract val global: Global

   The global environment; overridden by instantiation in Global.

2. #### abstract def newPhase(prev: Phase): Phase

   The phase factory

3. #### abstract val phaseName: String

   The name of the phase

4. #### abstract val runsAfter: List[String]

   Names of phases that must run before this phase.

5. #### abstract val runsRightAfter: Option[String]

   Name of the phase that this phase must follow immediately.

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from SubComponent to any2stringadd[SubComponent] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (SubComponent, B)

   Implicit information
     This member is added by an implicit conversion from SubComponent to ArrowAssoc[SubComponent] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def afterOwnPhase[T](op: ⇒ T): T

   Annotations
     @inline()

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### final def beforeOwnPhase[T](op: ⇒ T): T

   Annotations
     @inline()

9. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

10. #### def enabled: Boolean

    Is this component enabled? Default is true.

11. #### def ensuring(cond: (SubComponent) ⇒ Boolean, msg: ⇒ Any): SubComponent

    Implicit information
      This member is added by an implicit conversion from SubComponent to Ensuring[SubComponent] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (SubComponent) ⇒ Boolean): SubComponent

    Implicit information
      This member is added by an implicit conversion from SubComponent to Ensuring[SubComponent] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): SubComponent

    Implicit information
      This member is added by an implicit conversion from SubComponent to Ensuring[SubComponent] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): SubComponent

    Implicit information
      This member is added by an implicit conversion from SubComponent to Ensuring[SubComponent] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

18. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from SubComponent to StringFormat[SubComponent] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any

21. #### val initial: Boolean

    True if this phase runs before all other phases.

    True if this phase runs before all other phases. Usually, `parser`.

22. #### val internal: Boolean

    True if this phase is not provided by a plug-in.

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

25. #### final def notify(): Unit

    Definition Classes
      AnyRef

26. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

27. #### def ownPhase: Phase

    The phase corresponding to this subcomponent in the current compiler run

28. #### def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

29. #### def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

30. #### val requires: List[String]

    Names of phases required by this component.

    Names of phases required by this component. Default is `Nil`.

31. #### val runsBefore: List[String]

    Names of phases that must run after this phase.

    Names of phases that must run after this phase. Default is `Nil`.

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### val terminal: Boolean

    True if this phase runs after all other phases.

    True if this phase runs after all other phases. Usually, `terminal`.

34. #### def toString(): String

    Definition Classes
      AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### def →[B](y: B): (SubComponent, B)

    Implicit information
      This member is added by an implicit conversion from SubComponent to ArrowAssoc[SubComponent] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from SubComponent to any2stringadd[SubComponent]

### Inherited by implicit conversion StringFormat from SubComponent to StringFormat[SubComponent]

### Inherited by implicit conversion Ensuring from SubComponent to Ensuring[SubComponent]

### Inherited by implicit conversion ArrowAssoc from SubComponent to ArrowAssoc[SubComponent]

### Ungrouped